%define upstream_version 5.0.0.0b4.dev75
Name:		openstack-tripleo-heat-templates
Summary:	Heat templates for TripleO
Version: 5.0.0
Release: 0.20160907212643.90c852e.2%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-heat-templates-5.0.0.0b4.dev75-0.20160907212643.90c852e-90c852e3fba30bd57fe6547d1da5fed71b855ba4.tar.gz

#
#patches_base=90c852e3fba30bd57fe6547d1da5fed71b855ba4+1
#
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0003: 0003-Provide-for-RAM-constrained-environments.patch
Patch0004: 0004-Adjust-MTU-to-compensate-for-VLAN-tag-issue.patch

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:	python-d2to1
BuildRequires:	python-pbr

Requires:	PyYAML

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}
cp -ar *.yaml %{buildroot}/%{_datadir}/%{name}
cp -ar puppet %{buildroot}/%{_datadir}/%{name}
cp -ar docker %{buildroot}/%{_datadir}/%{name}
cp -ar firstboot %{buildroot}/%{_datadir}/%{name}
cp -ar extraconfig %{buildroot}/%{_datadir}/%{name}
cp -ar environments %{buildroot}/%{_datadir}/%{name}
cp -ar network %{buildroot}/%{_datadir}/%{name}
cp -ar validation-scripts %{buildroot}/%{_datadir}/%{name}
cp -ar deployed-server %{buildroot}/%{_datadir}/%{name}
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/%{name}

%changelog
* Thu Sep 22 2016 Mike Burns <mburns@redhat.com> 5.0.0-0.20160907212643.90c852e.2
- Provide for RAM-constrained environments rhbz#1373395
- [downstream only] UpgradeInitCommand for OSP (rhbz#1361177)
- Adjust MTU to compensate for VLAN tag issue rhbz#1378052

